dav1d 1.5.1 dav1d is an AV1 decoder |

Loading...
Searching...
No Matches
Data Fields
Dav1dWarpedMotionParams Struct Reference

`#include <headers.h>`

## Data Fields
enum Dav1dWarpedMotionType | type
int32_t | matrix [6]
union { |
struct { |
int16_t alpha |
int16_t beta |
int16_t gamma |
int16_t delta |
} p |
int16_t abcd [4] |
} | u |

## Field Documentation

## ◆ abcd

int16_t Dav1dWarpedMotionParams::abcd[4]

## ◆ alpha

int16_t Dav1dWarpedMotionParams::alpha

## ◆ beta

int16_t Dav1dWarpedMotionParams::beta

## ◆ delta

int16_t Dav1dWarpedMotionParams::delta

## ◆ gamma

int16_t Dav1dWarpedMotionParams::gamma

## ◆ matrix

int32_t Dav1dWarpedMotionParams::matrix[6]

## ◆ [struct]

struct { ... } Dav1dWarpedMotionParams::p

## ◆ type

enum Dav1dWarpedMotionType Dav1dWarpedMotionParams::type

## ◆ [union]

union { ... } Dav1dWarpedMotionParams::u

The documentation for this struct was generated from the following file:

- dav1d/headers.h